Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEBlockCipher

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.JCEBlockCipher

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCEBlockCipher.AES, JCEBlockCipher.AESCBC, JCEBlockCipher.AESCFB, JCEBlockCipher.AESOFB, JCEBlockCipher.Blowfish, JCEBlockCipher.Camellia, JCEBlockCipher.CAST5, JCEBlockCipher.CAST5CBC, JCEBlockCipher.CAST6, JCEBlockCipher.DES, JCEBlockCipher.DESCBC, JCEBlockCipher.DESede, JCEBlockCipher.DESedeCBC, JCEBlockCipher.GOST28147, JCEBlockCipher.GOST28147cbc, JCEBlockCipher.IDEA, JCEBlockCipher.IDEACBC, JCEBlockCipher.PBEWithAESCBC, JCEBlockCipher.PBEWithMD5AndDES, JCEBlockCipher.PBEWithMD5AndRC2, JCEBlockCipher.PBEWithSHA1AndDES, JCEBlockCipher.PBEWithSHA1AndRC2, JCEBlockCipher.PBEWithSHAAnd128BitRC2, JCEBlockCipher.PBEWithSHAAnd40BitRC2, JCEBlockCipher.PBEWithSHAAndDES2Key, JCEBlockCipher.PBEWithSHAAndDES3Key, JCEBlockCipher.PBEWithSHAAndIDEA, JCEBlockCipher.PBEWithSHAAndTwofish, JCEBlockCipher.RC2, JCEBlockCipher.RC2CBC, JCEBlockCipher.RC5, JCEBlockCipher.RC564, JCEBlockCipher.RC6, JCEBlockCipher.Rijndael, JCEBlockCipher.Serpent, JCEBlockCipher.Skipjack, JCEBlockCipher.Twofish

public class JCEBlockCipher
extends WrapCipherSpi
implements PBE

Nested Class Summary
`static class` | `JCEBlockCipher.AES` AES
`static class` | `JCEBlockCipher.AESCBC` AESCBC
`static class` | `JCEBlockCipher.AESCFB` AESCFB
`static class` | `JCEBlockCipher.AESOFB` AESOFB
`static class` | `JCEBlockCipher.Blowfish` Blowfish
`static class` | `JCEBlockCipher.Camellia` Camellia
`static class` | `JCEBlockCipher.CAST5` CAST5
`static class` | `JCEBlockCipher.CAST5CBC` CAST5 CBC
`static class` | `JCEBlockCipher.CAST6` CAST6
`static class` | `JCEBlockCipher.DES` DES
`static class` | `JCEBlockCipher.DESCBC` DESCBC
`static class` | `JCEBlockCipher.DESede` DESede
`static class` | `JCEBlockCipher.DESedeCBC` DESedeCBC
`static class` | `JCEBlockCipher.GOST28147` GOST28147
`static class` | `JCEBlockCipher.GOST28147cbc`
`static class` | `JCEBlockCipher.IDEA` IDEA
`static class` | `JCEBlockCipher.IDEACBC` IDEA CBC
`static class` | `JCEBlockCipher.PBEWithAESCBC` PBEWithAES-CBC
`static class` | `JCEBlockCipher.PBEWithMD5AndDES` PBEWithMD5AndDES
`static class` | `JCEBlockCipher.PBEWithMD5AndRC2` PBEWithMD5AndRC2
`static class` | `JCEBlockCipher.PBEWithSHA1AndDES` PBEWithSHA1AndDES
`static class` | `JCEBlockCipher.PBEWithSHA1AndRC2` PBEWithSHA1AndRC2
`static class` | `JCEBlockCipher.PBEWithSHAAnd128BitRC2` PBEWithSHAAnd128BitRC2-CBC
`static class` | `JCEBlockCipher.PBEWithSHAAnd40BitRC2` PBEWithSHAAnd40BitRC2-CBC
`static class` | `JCEBlockCipher.PBEWithSHAAndDES2Key` PBEWithSHAAnd2-KeyTripleDES-CBC
`static class` | `JCEBlockCipher.PBEWithSHAAndDES3Key` PBEWithSHAAnd3-KeyTripleDES-CBC
`static class` | `JCEBlockCipher.PBEWithSHAAndIDEA` PBEWithSHAAndIDEA-CBC
`static class` | `JCEBlockCipher.PBEWithSHAAndTwofish` PBEWithSHAAndTwofish-CBC
`static class` | `JCEBlockCipher.RC2` RC2
`static class` | `JCEBlockCipher.RC2CBC` RC2CBC
`static class` | `JCEBlockCipher.RC5` RC5
`static class` | `JCEBlockCipher.RC564` RC564
`static class` | `JCEBlockCipher.RC6` RC6
`static class` | `JCEBlockCipher.Rijndael` Rijndael
`static class` | `JCEBlockCipher.Serpent` Serpent
`static class` | `JCEBlockCipher.Skipjack` SKIPJACK
`static class` | `JCEBlockCipher.Twofish` Twofish

Nested classes inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.AESWrap, WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap`

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`protected` | `JCEBlockCipher(BlockCipher engine)`
`protected` | `JCEBlockCipher(BlockCipher engine, int ivLength)`

Method Summary
`protected byte[]` | `engineDoFinal(byte[] input, int inputOffset, int inputLen)`
`protected int` | `engineDoFinal(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`
`protected int` | `engineGetBlockSize()`
`protected byte[]` | `engineGetIV()`
`protected int` | `engineGetKeySize(java.security.Key key)`
`protected int` | `engineGetOutputSize(int inputLen)`
`protected java.security.AlgorithmParameters` | `engineGetParameters()`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.AlgorithmParameters params, java.security.SecureRandom random)`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.SecureRandom random)`
`protected void` | `engineSetMode(java.lang.String mode)`
`protected void` | `engineSetPadding(java.lang.String padding)`
`protected byte[]` | `engineUpdate(byte[] input, int inputOffset, int inputLen)`
`protected int` | `engineUpdate(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineUnwrap, engineWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEBlockCipher

    protected JCEBlockCipher(BlockCipher engine)

### JCEBlockCipher

    protected JCEBlockCipher(BlockCipher engine,
                             int ivLength)

Method Detail

### engineGetBlockSize

    protected int engineGetBlockSize()

  Overrides:
    `engineGetBlockSize` in class `WrapCipherSpi`

### engineGetIV

    protected byte[] engineGetIV()

  Overrides:
    `engineGetIV` in class `WrapCipherSpi`

### engineGetKeySize

    protected int engineGetKeySize(java.security.Key key)

  Overrides:
    `engineGetKeySize` in class `WrapCipherSpi`

### engineGetOutputSize

    protected int engineGetOutputSize(int inputLen)

  Overrides:
    `engineGetOutputSize` in class `WrapCipherSpi`

### engineGetParameters

    protected java.security.AlgorithmParameters engineGetParameters()

  Overrides:
    `engineGetParameters` in class `WrapCipherSpi`

### engineSetMode

    protected void engineSetMode(java.lang.String mode)
                          throws java.security.NoSuchAlgorithmException

  Overrides:
    `engineSetMode` in class `WrapCipherSpi`
  Throws:
    `java.security.NoSuchAlgorithmException`

### engineSetPadding

    protected void engineSetPadding(java.lang.String padding)
                             throws javax.crypto.NoSuchPaddingException

  Overrides:
    `engineSetPadding` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.NoSuchPaddingException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.spec.AlgorithmParameterSpec params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.AlgorithmParameters params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException

  Overrides:
    `engineInit` in class `WrapCipherSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected byte[] engineUpdate(byte[] input,
                                  int inputOffset,
                                  int inputLen)

  Overrides:
    `engineUpdate` in class `WrapCipherSpi`

### engineUpdate

    protected int engineUpdate(byte[] input,
                               int inputOffset,
                               int inputLen,
                               byte[] output,
                               int outputOffset)
                        throws javax.crypto.ShortBufferException

  Overrides:
    `engineUpdate` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.ShortBufferException`

### engineDoFinal

    protected byte[] engineDoFinal(byte[] input,
                                   int inputOffset,
                                   int inputLen)
                            throws javax.crypto.IllegalBlockSizeException,
                                   javax.crypto.BadPaddingException

  Overrides:
    `engineDoFinal` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`

### engineDoFinal

    protected int engineDoFinal(byte[] input,
                                int inputOffset,
                                int inputLen,
                                byte[] output,
                                int outputOffset)
                         throws javax.crypto.IllegalBlockSizeException,
                                javax.crypto.BadPaddingException

  Overrides:
    `engineDoFinal` in class `WrapCipherSpi`
  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD